Bug 445028 - Review Request: python-pylons - A python web application toolkit
Review Request: python-pylons - A python web application toolkit
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ricky Zhou
Fedora Extras Quality Assurance
http://kylev.fedorapeople.org/RPM/pyt...
:
Depends On: 445018 445019 445020 445021 445024
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-02 15:20 EDT by Kyle VanderBeek
Modified: 2015-04-25 12:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-28 14:47:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rickyz: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kyle VanderBeek 2008-05-02 15:20:23 EDT
Spec URL: http://www.kylev.com/pylons-rpm/python-pylons.spec
SRPM URL: http://www.kylev.com/pylons-rpm/python-routes-1.8-1.fc8.src.rpm
Description: The Pylons framework is an up-and-coming python kit for developing flexible web applications.  It has a structure inspired RoR, allows for the substitution of a variety off different ORMs and templating systems, and is the framework upon which TurboGears2 will be built.  http://pylonshq.com/
Comment 1 Kyle VanderBeek 2008-05-03 17:48:25 EDT
Note, I just smoke tested this on F9 and things seem to work correctly.  F9 SRPM
packages for this and all dependencies are in http://www.kylev.com/pylons-rpm/ ,
no modifications made to spec files.
Comment 2 Felix Schwarz 2008-05-05 06:54:32 EDT
I'm a new Fedora developer, so my word probably doesn't count much but I think
that it would be more appropriate to split this review request so that there is
a bug for every new package. I'm willing to do some reviews if you add new bugs
but as I said: I'm new, therefore another more experienced contributor should
review these packages, too.
Comment 3 Paul Howarth 2008-05-05 07:40:52 EDT
Agreed; there should be a separate review ticket for each package. Dependencies
can be added (bug depends on/blocks) to the tickets to show the hierarchy as
it's most useful to get the "leaf" packages of the dependency tree done first,
since other reviews will depend on them.

If there are any issues affecting the set of packages as a whole (e.g. as there
was for the python-twisted package set, which all needed to be arch-specific
packages despite most of them naturally being arch-independent), those could be
mentioned here and referred to from the other tickets.
Comment 4 Kyle VanderBeek 2008-05-05 12:56:17 EDT
I believe I've already provided all the dependency information needed in the
bugs.  The full RPM dependencies for the new packages to support Pylons are
reflected in the bug.

If you want, I can add a "SRPM URL:" line pointing to the F9 RPMs to each bug.
Comment 5 Felix Schwarz 2008-05-05 14:29:06 EDT
Sorry, I just completely overlooked that this bug already depends on several
other bugs. So this bug is just for reviewing python-pylons. Sorry for the noise.
Comment 6 Kyle VanderBeek 2008-05-11 20:53:48 EDT
This RPM suffered from some of the same defects of my others (missing docs and a
rpmlint complaint about a trailing Summary ".").

Spec URL: http://www.kylev.com/pylons-rpm/python-pylons.spec
SRPM URL: http://www.kylev.com/pylons-rpm/python-pylons-0.9.6.1-2.fc8.src.rpm
Comment 7 Ricky Zhou 2008-05-28 02:47:08 EDT
Tiny niggle: Be completely consistent with your macros and use %{buildroot}
instead of $RPM_BUILD_ROOT
Comment 8 Kyle VanderBeek 2008-05-29 17:51:15 EDT
I've updated things to use %{buildroot}, but if we're going to nit about that
going forward, we should probably update the spec templates in rpmdevtools
(which I used to generate the base spec file.  Updated and in a new location:

Spec URL: http://kylev.fedorapeople.org/RPM/python-pylons.spec
SRPM URL: http://kylev.fedorapeople.org/RPM/python-pylons-0.9.6.1-3.fc8.src.rpm
Comment 9 Kyle VanderBeek 2008-05-29 18:11:23 EDT
I've filed bug 445028 against rpmdevtools to see if we can get the spec
templates updated.
Comment 10 Kyle VanderBeek 2008-05-29 18:13:24 EDT
Paste error, the bug for rpmdevtools is 449031 .
Comment 11 Ricky Zhou 2008-06-20 18:08:02 EDT
Looks like all of the deps are in Fedora now, so I'd love to try and review
this.  By the way, it looks like 0.9.6.2 is out now.
Comment 12 Kyle VanderBeek 2008-06-20 18:27:27 EDT
0.9.6.2 has a problem, I think.  The tarball is out of whack, and nobody has
(yet) responded to my posting here: 

  http://groups.google.com/group/pylons-devel/browse_thread/thread/815a9f9c53215345
Comment 13 Ricky Zhou 2008-06-25 08:16:05 EDT
The source URL (http://pylonshq.com/download/Pylons-0.9.6.1.tar.gz) currently
gives a 404.
Comment 14 Ricky Zhou 2008-06-27 01:31:59 EDT
sources match upstream URL: needs to be pointed to pypi, as mentioned above
rpmlint clean: check (there are some errors/warnings in the noarch RPM, but they
are caused by stub files for creating a project):
python-pylons.noarch: E: zero-length
/usr/lib/python2.5/site-packages/pylons/templates/default_project/+package+/lib/__init__.py_tmpl
python-pylons.noarch: E: zero-length
/usr/lib/python2.5/site-packages/pylons/templates/default_project/+package+/tests/functional/__init__.py_tmpl
python-pylons.noarch: W: hidden-file-or-dir
/usr/lib/python2.5/site-packages/pylons/templates/minimal_project/+package+/templates/.distutils_placeholder
python-pylons.noarch: E: zero-length
/usr/lib/python2.5/site-packages/pylons/templates/minimal_project/+package+/templates/.distutils_placeholder
python-pylons.noarch: E: zero-length
/usr/lib/python2.5/site-packages/pylons/templates/default_project/+package+/model/__init__.py_tmpl
python-pylons.noarch: E: zero-length
/usr/lib/python2.5/site-packages/pylons/templates/default_project/+package+/__init__.py_tmpl
python-pylons.noarch: W: hidden-file-or-dir
/usr/lib/python2.5/site-packages/pylons/templates/default_project/+package+/templates/.distutils_placeholder
python-pylons.noarch: E: zero-length
/usr/lib/python2.5/site-packages/pylons/templates/default_project/+package+/templates/.distutils_placeholder
python-pylons.noarch: E: zero-length
/usr/lib/python2.5/site-packages/pylons/templates/minimal_project/+package+/__init__.py_tmpl
python-pylons.noarch: E: zero-length
/usr/lib/python2.5/site-packages/pylons/templates/default_project/+package+/controllers/__init__.py_tmpl
python-pylons.noarch: E: zero-length
/usr/lib/python2.5/site-packages/pylons/templates/default_project/+package+/config/__init__.py_tmpl
python-pylons.noarch: E: zero-length
/usr/lib/python2.5/site-packages/pylons/templates/default_project/+package+/tests/test_models.py_tmpl
1 packages and 0 specfiles checked; 10 errors, 2 warnings.

conforms to Package Naming Guidelines: check
conforms to Packaging Guidelines: check
approved/correct license: check
license included in %doc: check
build in mock: check
correct BuildRequires: check 
owns all directories that it creates: check
no duplicate files in %files: check
correct permissions: check
correct %clean section: check
consistent use of macros: check
rm -rf %{buildroot}: check
UTF-8 filenames: check

I'm pretty much ready to approve this once the Source0 is changed to
http://pypi.python.org/packages/source/P/Pylons/Pylons-0.9.6.1.tar.gz.  
Comment 15 Kyle VanderBeek 2008-06-27 13:06:33 EDT
I'd like to run with this, but I can't quite justify it.  I don't feel
comfortable putting out 0.9.6.1 since 0.9.6.2 is a security fix (not nice to
allow people to install a known bad release).  And I can roll 0.9.6.2 since the
tarball is so badly broken (well, I *could*, but it'd be lacking docs, LICENSE,
and include a number of gross .spec hacks to un-do their mess).

I'm hoping for a new tarball from Pylons people, and will continue to put
pressure on them for a few more days.  Let me know if you disagree with this plan.
Comment 16 Kyle VanderBeek 2008-06-27 14:28:27 EDT
Spec URL: http://www.kylev.com/pylons-rpm/python-pylons.spec
SRPM URL: http://kylev.fedorapeople.org/RPM/python-pylons-0.9.6.2-1.fc8.src.rpm

rpmlint still whines about a few empty/hidden files, but those are from the
distro itself.  I also had to add a find -delete to get rid of the ._ files
which started being installed into site-packages (grr!).
Comment 17 Kyle VanderBeek 2008-06-27 14:35:35 EDT
Damnit... fedorapeople move FAIL

Spec URL: http://kylev.fedorapeople.org/RPM/python-pylons.spec
SRPM URL: http://kylev.fedorapeople.org/RPM/python-pylons-0.9.6.2-1.fc8.src.rpm
Comment 18 Ricky Zhou 2008-06-27 14:43:54 EDT
sources match upstream URL: check
01d0e1ca95cfbfa1f73b8b5ae9a5f0a5  Pylons-0.9.6.2.tar.gz
still builds/installs cleanly: check

APPROVED
Comment 19 Kyle VanderBeek 2008-06-27 14:51:04 EDT
New Package CVS Request
=======================
Package Name: python-pylons
Short Description: A python web application toolkit
Owners: kylev
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 20 Kevin Fenzi 2008-06-27 19:24:10 EDT
cvs done.
Comment 21 Fedora Update System 2008-06-28 00:33:24 EDT
python-pylons-0.9.6.2-1.fc9 has been submitted as an update for Fedora 9
Comment 22 Fedora Update System 2008-06-28 00:33:56 EDT
python-pylons-0.9.6.2-1.fc8 has been submitted as an update for Fedora 8
Comment 23 Fedora Update System 2008-07-23 22:10:03 EDT
python-pylons-0.9.6.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2008-07-23 22:10:10 EDT
python-pylons-0.9.6.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Kim 2015-04-13 11:55:06 EDT
Package Change Request
======================
Package Name: python-webhelpers 
New Branches: epel7
Owners: kylev kim27
InitialCC: 

Please see #1142128 for request for epel 7 status.
Comment 26 Kim 2015-04-13 11:55:59 EDT

Package Change Request
======================
Package Name: python-pylons 
New Branches: epel7
Owners: kylev kim27
InitialCC: 

Please see #1142128 for request for epel 7 status.
Comment 27 Jon Ciesla 2015-04-25 12:01:53 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.